Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1512920 - OPS Tools | /usr/share/openstack-tripleo-heat-templates/environments/logging-environment.yaml should include in resource_registry reference to the new env. file for OSP12.
Summary: OPS Tools | /usr/share/openstack-tripleo-heat-templates/environments/logging-...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: z1
: 12.0 (Pike)
Assignee: Martin Magr
QA Contact: Leonid Natapov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-14 12:37 UTC by Leonid Natapov
Modified: 2018-01-30 21:24 UTC (History)
7 users (show)

Fixed In Version: openstack-tripleo-heat-templates-7.0.3-22.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-30 21:24:32 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0253 normal SHIPPED_LIVE Red Hat OpenStack Platform 12.0 director Bug Fix Advisory 2018-02-16 03:41:33 UTC

Description Leonid Natapov 2017-11-14 12:37:06 UTC
OPS Tools | /usr/share/openstack-tripleo-heat-templates/environments/logging-environment.yaml should include reference to the new env. file for OSP12 the same manner collectd-environment.yaml and monitoring-environment.yaml has.


For example collectd-environment.yaml has the following:

resource_registry:
  OS::TripleO::Services::Collectd: ../docker/services/collectd.yaml

logging-environment.yaml  should have reference to /usr/share/openstack-tripleo-heat-templates/docker/services/fluentd-client.yaml



Without this upgrade of fluentd fails.

Comment 3 Martin Magr 2017-11-28 16:09:09 UTC
Descoped to z1.

Comment 8 Leonid Natapov 2018-01-18 11:28:42 UTC
Failed QA. there is a copy/paste mistake in the fix.

Comment 12 Leonid Natapov 2018-01-26 13:23:03 UTC
tested with openstack-tripleo-heat-templates-7.0.3-22.el7ost.noarch

Comment 16 errata-xmlrpc 2018-01-30 21:24:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0253


Note You need to log in before you can comment on or make changes to this bug.